Debian Bug report logs - #525226
krdc: disconnecting from vnc doesn't really disconnect

version graph

Package: libvncserver0; Maintainer for libvncserver0 is Luca Falavigna <dktrkranz@debian.org>; Source for libvncserver0 is src:libvncserver.

Reported by: Tarek Soliman <tarek-spam@zeusmail.bounceme.net>

Date: Thu, 23 Apr 2009 02:48:04 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version libvncserver/0.9.3.dfsg.1-1

Fixed in version libvncserver/0.9.8-1

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=2794565&group_id=32584&atid=405858

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#525226; Package krdc. (Thu, 23 Apr 2009 02:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tarek Soliman <tarek-spam@zeusmail.bounceme.net>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Thu, 23 Apr 2009 02:48:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tarek Soliman <tarek-spam@zeusmail.bounceme.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: krdc: disconnecting from vnc doesn't really disconnect
Date: Wed, 22 Apr 2009 21:45:29 -0500
Package: krdc
Version: 4:4.2.2-1
Severity: normal

When remoting into another machine via vnc protocol and then disconnecting,
one cannot remote into the same machine again.
Closing krdc completely allows one to remote again.

This is new to kde4 since krdc is now tabbed

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.28-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages krdc depends on:
ii  kdebase-runtime           4:4.2.2-1      runtime components from the offici
ii  kdelibs5                  4:4.2.2-2      core libraries for all KDE 4 appli
ii  libc6                     2.9-7          GNU C Library: Shared libraries
ii  libqt4-xml                4.4.3-2        Qt 4 XML module
ii  libqtcore4                4.4.3-2        Qt 4 core module
ii  libqtgui4                 4.4.3-2        Qt 4 GUI module
ii  libstdc++6                4.3.3-8        The GNU Standard C++ Library v3
ii  libvncserver0             0.9.3.dfsg.1-1 API to write one's own vnc server

Versions of packages krdc recommends:
ii  rdesktop                      1.6.0-2    RDP client for Windows NT/2000 Ter

Versions of packages krdc suggests:
pn  khelpcenter                   <none>     (no description available)
ii  krfb                          4:4.2.2-1  Desktop Sharing for KDE 4

-- no debconf information




Message sent on to Tarek Soliman <tarek-spam@zeusmail.bounceme.net>:
Bug#525226. (Fri, 29 May 2009 01:45:03 GMT) Full text and rfc822 format available.

Message #8 received at 525226-submitter@bugs.debian.org (full text, mbox):

From: Armin Berres <trigger@space-based.de>
To: 525226-submitter@bugs.debian.org
Subject: Re: Bug#525226: krdc: disconnecting from vnc doesn't really disconnect
Date: Thu, 28 May 2009 21:17:55 -0400
tags 525226 upstream
kthxbye

Hello,

the bug you reported is a KDE bug. Please report it via
Help -> Report bug... menu item of the respective application
or by visiting https://bugs.kde.org/ and following instructions
to report a new bug.

Debian Qt/KDE maintainers do not have resources to deal with
non Debian-specific bugs and therefore it is unlikely that
your bug will be solved if you do not report it to KDE developers
directly (unless it is/has been reported by somebody else).

Whenever you open a bug report or find an existing one on the KDE
bug tracking system, you can couple both this Debian bug and the
KDE bug together by sending a mail with the text below to
control@bugs.debian.org (replace KDE-BUG-URL with the address of
the bug report on https://bugs.kde.org/)

------------[ copy this ]------------
forwarded 530419 KDE-BUG-URL
thanks
------------[ copy this ]------------

Greetings,
Armin Berres




Tags added: upstream Request was from Armin Berres <trigger@space-based.de> to control@bugs.debian.org. (Fri, 29 May 2009 02:18:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'krdc' to 'libvncserver0'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 15:45:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kdenetwork/4:4.2.2-1. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 15:45:03 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libvncserver/0.9.3.dfsg.1-1. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 15:45:04 GMT) Full text and rfc822 format available.

Added indication that 525226 affects krdc Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 15:45:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=2794565&group_id=32584&atid=405858'. Request was from Eckhart Wörner <ewoerner@kde.org> to control@bugs.debian.org. (Wed, 24 Feb 2010 16:00:11 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 01 Mar 2010 17:18:09 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Sun, 02 Oct 2011 01:21:05 GMT) Full text and rfc822 format available.

Notification sent to Tarek Soliman <tarek-spam@zeusmail.bounceme.net>:
Bug acknowledged by developer. (Sun, 02 Oct 2011 01:21:05 GMT) Full text and rfc822 format available.

Message #27 received at 525226-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 525226-close@bugs.debian.org
Subject: Bug#525226: fixed in libvncserver 0.9.8-1
Date: Sun, 02 Oct 2011 01:17:50 +0000
Source: libvncserver
Source-Version: 0.9.8-1

We believe that the bug you reported is fixed in the latest version of
libvncserver, which is due to be installed in the Debian FTP archive:

libvncserver-dev_0.9.8-1_amd64.deb
  to main/libv/libvncserver/libvncserver-dev_0.9.8-1_amd64.deb
libvncserver0-dbg_0.9.8-1_amd64.deb
  to main/libv/libvncserver/libvncserver0-dbg_0.9.8-1_amd64.deb
libvncserver0_0.9.8-1_amd64.deb
  to main/libv/libvncserver/libvncserver0_0.9.8-1_amd64.deb
libvncserver_0.9.8-1.debian.tar.gz
  to main/libv/libvncserver/libvncserver_0.9.8-1.debian.tar.gz
libvncserver_0.9.8-1.dsc
  to main/libv/libvncserver/libvncserver_0.9.8-1.dsc
libvncserver_0.9.8.orig.tar.gz
  to main/libv/libvncserver/libvncserver_0.9.8.orig.tar.gz
linuxvnc_0.9.8-1_amd64.deb
  to main/libv/libvncserver/linuxvnc_0.9.8-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 525226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated libvncserver package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 02 Oct 2011 02:54:05 +0200
Source: libvncserver
Binary: libvncserver-dev libvncserver0 libvncserver0-dbg linuxvnc
Architecture: source amd64
Version: 0.9.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 libvncserver-dev - API to write one's own vnc server - development files
 libvncserver0 - API to write one's own vnc server
 libvncserver0-dbg - debugging symbols for libvncserver
 linuxvnc   - VNC server to allow remote access to a tty
Closes: 399501 525226 555988 621705
Changes: 
 libvncserver (0.9.8-1) unstable; urgency=low
 .
   * QA upload.
   * New upstream release (Closes: #621705).
     - Fix segfault launching "linuxvnc 1 -help" (Closes: #399501).
     - Close socket when connection ends (Closes: #525226).
     - Fix no input caused by stucked CTRL key (Closes: #555988).
   * debian/patches/*:
     - Refresh patches for new upstream release.
   * debian/patches/05_GnuTLS.patch:
     - Backport patch from upstream repository to drop deprecated GnuTLS
       functions (gnutls_*_set_priority -> gnutls_priority_set_direct).
   * debian/control:
     - Build-depend on pkg-config.
     - Remove duplicate section field for libvncserver0 binary.
     - Bump Standards-Version to 3.9.2.
   * debian/libvncserver-config.1:
     - Use minus signs instead of hypens.
   * debian/README.source:
     - Dropped, no longer needed.
   * debian/watch:
     - Provide watch file.
Checksums-Sha1: 
 c91cf8b52a9de993fe681cf3cf223d166b081a8a 1963 libvncserver_0.9.8-1.dsc
 71e88ea95ad147185bbf6ca24ba7b0fbb8634421 1240804 libvncserver_0.9.8.orig.tar.gz
 e42ec38d8914774f3f39f3ebf3ec2d8d2785443e 11332 libvncserver_0.9.8-1.debian.tar.gz
 821cc70329c80dc1b616fa7653377837b99e20c3 287182 libvncserver-dev_0.9.8-1_amd64.deb
 8b35a9896c9cb693a0041eb60f2423c8e9bb89d7 236626 libvncserver0_0.9.8-1_amd64.deb
 8405e86c3d0d7093b9dfa81bc5ecf0da77d3b53e 413144 libvncserver0-dbg_0.9.8-1_amd64.deb
 c3d8963d3b9f22f4d1113aa86d310f714bc2700c 68706 linuxvnc_0.9.8-1_amd64.deb
Checksums-Sha256: 
 a5ddb8c06528b90827cad917b07e475ceed10e0d341febe9d10cb3031d1a7615 1963 libvncserver_0.9.8-1.dsc
 1dcd436af2daeb2300fd730a3caca7519545a7f8b2967760f6065bbba5d7e22b 1240804 libvncserver_0.9.8.orig.tar.gz
 d688e42179181fe27ddb9683783aa89d4c0f90cddfed557dd536aeed2505ade9 11332 libvncserver_0.9.8-1.debian.tar.gz
 120e07f2b5d815039dc1ac51b55fa8e09d7315324d43dd3d1e2f7ef0e544ba9d 287182 libvncserver-dev_0.9.8-1_amd64.deb
 700dd041c8e7f633fcc711f6b282b4e05bca8da62eabe09bfeca17e5bba0cc4d 236626 libvncserver0_0.9.8-1_amd64.deb
 0b785af23ee00e9877183d8ae95e3408ddcf458ca984c28e152079a79db05c8d 413144 libvncserver0-dbg_0.9.8-1_amd64.deb
 1a74c91180711d02240c7ffca256f0704386b956458cc88fe4e1b9435651c63c 68706 linuxvnc_0.9.8-1_amd64.deb
Files: 
 fa0019c2550a55f50e14b6d7e68d4b58 1963 libs optional libvncserver_0.9.8-1.dsc
 dda9e75a1d5d7c37bb57d90ead7b32b3 1240804 libs optional libvncserver_0.9.8.orig.tar.gz
 735cd3189fd145d485e5ba04fd931d49 11332 libs optional libvncserver_0.9.8-1.debian.tar.gz
 064cc4d129f5191b4fe47c12c9575c3f 287182 libdevel optional libvncserver-dev_0.9.8-1_amd64.deb
 2061b2e234be3f1d809c44dce793910a 236626 libs optional libvncserver0_0.9.8-1_amd64.deb
 05c349a03b73c40e4a6ed2f6f3f632cf 413144 debug extra libvncserver0-dbg_0.9.8-1_amd64.deb
 40e0b429f30a0b196c6f06b0a5cfda57 68706 net optional linuxvnc_0.9.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOh7gFAAoJEEkIatPr4vMfOtsP/1+sIx3ZMT20dJUgwy5rJ0QQ
S+kGHXJYH3SItQCYMQn6HjjmmJkf+zTjSOYZ4CUkpkWDfZS/l1uFaSMfpirPJNV6
Mak7LRIVOH6yk2+6BR4wdBKsAk7VIYlNUJgg8K82r1PYkm5/AAGQ1v540gyf9OHd
APtQRoH2oo53MSxLZOR/HkG1Zd9vIqAdbEY4tGDty4FVQlLzo8n8u3WGxAgYLRyl
TnrYpznooGY9auVjKb/8VwQzqWpJU/E0Rw2qLG9goysIGT4nVRwUQS0m+9rteRIX
YCgdDbWqIlAkJdIyqpCMweBb4d632roXT/HJ2prl36OzaGp0nVNL8IMP9aGKqgWb
vzOUvvI987KNnocXPd89HVmLgyv0uJuCfMX/NciOFqCvWWeciPFsxRjhm7a2Xb/L
entztFNa27Jvcdbcfcej3guyz4PKkscnE+0qLFz27bTx+jWV8fj6OS9vL+l0jTkm
q+qfa3XIVzQaR1HEgohZf2B4VCblyj502+Z1ctuoK7ridcvuaV4RtauJQoaCq5jZ
DMGPr/Mw7N8NArEfLO/B93+eo0FVv1sHoqsvJCnI6oDdepgEKg+scEwCsy97Ntx3
02w0xMma2tUNclc7PoehCJaJ5aMDlV2WBbz/GjnmYasmZx/exDyPZYv82o/kQXhz
zJLa9KKUeJXAKzFfzlYN
=ZtNf
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 20 Nov 2011 07:34:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:30:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.